<?php

	function mo_ldap_saml_login($app_name){

		$email = wp_get_current_user()->user_email;

		$customer_id = get_option('mo_ldap_admin_customer_key');
		$api_key = get_option('mo_ldap_admin_api_key');

		list($usec, $sec) = explode(" ", microtime());
		$time13 = sprintf('%d%03d', $sec, $usec/1000);

		$token = $email . ':' . $time13 . ':' . $api_key;
		$encryptedToken = mo_ldap_encryptData($token);
		$url_encoded = urlencode($encryptedToken);
		$redirectUrl = get_option( 'mo_ldap_host_name' ) . '/moas/idp/tokenlogin?token=' . $url_encoded . '&app='.$app_name.'&id='.$customer_id.'&encrypted=true';
		return $redirectUrl;
	}

	function mo_ldap_encryptData($str){
        if(!Mo_Ldap_Local_Util::is_extension_installed('openssl')) {
            return;
        }
        $key = get_option('mo_ldap_local_customer_token');
        $method = 'AES-128-ECB';
        $ivSize = openssl_cipher_iv_length($method);
        $iv     = openssl_random_pseudo_bytes($ivSize);
        $strCrypt = openssl_encrypt ($str, $method, $key,OPENSSL_RAW_DATA||OPENSSL_ZERO_PADDING, $iv);
        return base64_encode($iv.$strCrypt);
	}

?>